Loading...
Searching...
No Matches
ContainerWidget Class Reference

A widget that contains a single view widget, along with standard buttons for splitting, maximizing, closing. More...

`#include <avogadro/qtgui/containerwidget.h>`

Inheritance diagram for ContainerWidget:

## Signals

void | splitVertical ()
void | splitHorizontal ()
void | closeView ()

## Public Member Functions

| ContainerWidget (QWidget *parent=nullptr, Qt::WindowFlags f=Qt::WindowFlags())
void | setViewWidget (QWidget *widget)
QWidget * | viewWidget ()
void | setActive (bool active)
bool | isActive () const

## Detailed Description

Author
  Marcus D. Hanwell

The documentation for this class was generated from the following file:

- containerwidget.h